RIO_REQUEST_MPORT_DM(9)

NAME
rio_request_mport_dma - request RapidIO capable DMA channel associated with specified local RapidIO mport device.

SYNOPSIS

struct dma_chan * rio_request_mport_dma(struct rio_mport * mport);

ARGUMENTS

mport
    RIO mport to perform DMA data transfers

DESCRIPTION

Returns pointer to allocated DMA channel or NULL if failed.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT